%ext ck4
%version 1.4


# Load the modified graphics
%egahead EGAHEAD.CK4
%maphead MAPHEAD.CK4
%gamemaps GAMEMAPS.CK4
%patchfile $249C2 "Keen4.tli"



###GENERAL###
%patch $CC2A $83 $3E $A7EDW $0D $75 $30 #water @13
%patch $60FD $0F $77                   	#re-entry @16
%patch $9058 $A7EDW $0D $74		#float scroll @13
%patch $D1FA $CAB5W $00 $75 $1F $C7 $06 $7A70W $0002W	#Moon to win
%patch $11792 $E9 $3D $01 		#clean platforms
%patch $105B0 $90 $90 $90 $90 $90  	#arachnut
%patch $123F9 $EB			#Lethargic Dopefish
%patch $E208 $7A5CW $00 $74		#Always "swim" on map

###STATUS WINDOW##
%patch $8058 $EB $4D 			#Wetsuit
%patch $80BE $0078W			#Wetsuit
%patch $80DC $0078W			#Wetsuit
%patch $7E32 $90 $90 $90 $90 $90	#Council
%patch $7E4D $90 $90 $90 $90 $90	#Council
%patch $7E6D $90 $90 $90 $90 $90	#Council
%patch $2F4CB "COINS" $00		#coins

###NON-GAMEPLAY-RELATED###
%patch $3CBB $04D1W			#disable demos
%patch $3CBF $04D1W			#disable demos
%patch $3CC3 $04D1W			#disable demos
%patch $3CC5 $04D1W			#disable demos
%patch $3CBD $04D1W			#disable star wars
%patch $35604 "RETURN TO GAME" $00 "HIGH SCORES   " $00
%patch $33CCA "RETURN TO GAME" $00 "HIGH SCORES   " $00


###WETSUIT/END OF GAME CONDITION###
%patch $6BD9 $0EB2W			#state 13 wins game
%patch $12A62 $C7 $06 $7A70W $000DW	#Wetsuit sets state 13
%patch $30A4B "The jig is up." $0A "You're coming with me."



###ELVIS#####
%patch $3094C	"Need a passcode?" $0A "Try 7-3-0-9." $0A "Uh huh huh!" $0A "" $0A $00
%patch $30999 	"Plants on this island" $0A
		"store nutrients by  " $0A
		"extruding sucrose  " $0A
		"rods. " $0A $00
%patch $309E3	"Wow, you ARE the king!" $00
%patch $309FA	"Sure looks like" $0A
		"candy to me..." $0A $0A $00


###LEVEL 0###
%patch $1F040 "Meurglys III   " $00
%patch $1F1F0 "Keen explores " $0A "Meurglys III" $00
%patch $2F191 "Exit to Meurglys III" $00

%patch $DE43 $29			#Foot location A 
%patch $DE58 $26
%patch $DE78 $31			#Foot location B 
%patch $DE8C $43
%patch $DE36 $7A1AW $3000W $73		#Foot threshold

%patch $FAF8 $0050W			#Animations
%patch $FB21 $0050W
%patch $FB49 $0050W
%patch $FB71 $0050W
%patch $FB99 $0050W
%patch $FBC1 $0050W
%patch $FBE9 $0050W
%patch $FC11 $0050W


###LEVEL 1###
%patch $1F050 "   Fern Town   " $00
%patch $1F210 "Keen gets his game on" $0A "in Fern Town" $00

###LEVEL 2###
%patch $1F060 "Two Line Temple" $00
%patch $1F240 "Keen crosses" $0A "Two Line Temple" $00

###LEVEL 3###
%patch $1F070 "Time Temple    " $00
%patch $1F260 "Keen winds his watch" $0A "in the Time Temple" $00            

###LEVEL 4###
%patch $1F090 "Air Quality Monitoring Stn" $00
%patch $1F290 "Keen catches his breath" $0A "in the Air Quality" $0A  "Monitoring Station" $0A            

###LEVEL 5###
%patch $1F0B0 "CANDY ISLAND!" $00
%patch $1F2D0 "Keen gets a sugar rush" $0A "on CANDY ISLAND!" $00

###LEVEL 6###
%patch $1F0C0 "Mount Meurglys " $00
%patch $1F300 "Keen attempts to" $0A "scale Mount Meurglys" $00

###LEVEL 7###
%patch $1F0D0 "King's Canyon" $00
%patch $1F330 "Keen surveys" $0A "King's Canyon" $00
%patch $30A25 "Elvis says:" $0A $00


###LEVEL 8###
%patch $1F0E0 "Twisted Temple " $00
%patch $1F350 "Keen gets turned around" $0A "in Twisted Temple     " $00

###LEVEL 9 INTENTIONALLY LEFT EMPTY###

###LEVEL 10###
%patch $1F100 "Iced Tea Bottling Plant " $00
%patch $1F3A0 "Keen cools off in the" $0A "Iced Tea Bottling Plant " $00

###LEVEL 11###
%patch $1F110 "Rick's Orbital Hideout"
%patch $1F3D0 "Keen charges into" $0A "Rick's Orbital Hideout"

###LEVEL 12###
%patch $1F400 "Keen inspects the" $0A "Sewage Plant (Upstairs)" $00 
%patch $1F130 "Sewage Plant (Upstairs)" $00


###LEVEL 13###
%patch $1F430 "Keen cannonballs into" $0A "the Sewage Plant" $0A "(Downstairs)" $00 
%patch $1F150 "Sewage Plant" $0A "(Downstairs)" $00

###LEVEL 14###
%patch $1F180 "Witch Doctor's Hut        " $00
%patch $1F470 "Keen sceptically enters" $0A "the Witch Doctor's Hut " $0A "               " $00
%patch $FD54 $CB 			#witch doctor doesn't stop to think
%patch $1F580 	"Whoa there young fella!" $0A
              	"Drink this potion. It'll" $0A
              	"fortify you for your" $0A
		"quest." $00
%patch $1F5E0 	"It has a bit of a kick" $0A
              	"on it, so be careful." $0A
              	"" $0A
		"" $00
%patch $1F630 	"I'm not sure about" $0A
		"this."	 $00
%patch $1F650 	"There you go, down the" $0A
              	"hatch! How's the taste?" $00

###LEVEL 15###
%patch $1F4B0 "Keen takes his chances" $0A "in Badluck Cave" $00
%patch $1F1A0 "Badluck Cave" $00

###LEVEL 16###
%patch $1F1B0 "Cave of Uncer- " $0A
              "tain Importance" $00
%patch $1F4E0 "Keen enters the Cave" $0A "of Uncertain Importance" $00

###LEVEL 17###
%patch $1F1C0 "Sculpture Garden" $00
%patch $1F510 "Keen kicks up dust" $0A "in the Sculpture Garden" $0A


%PATCH $7894 $0000w
%PATCH $2f435 	"Cheat option!" $0A $0A
		"You just got 99" $0A
		"Shots and a 1-UP." $0A
		"No keys though!" $00

###AUDIO###
%patchfile $20DF0 AUDIOHED.CK4	#Audio header
%patchfile $354F6 AUDIODCT.CK4	#Audio dictionary
%patch $8CEF $9B $00
%patch $8C75 $C893W
%patch $8C83 $C893W
%patch $8D83 $C893W
%patch $2F206	$0000W	$0003W	$0004W	$0004W
		$0002W	$0003W	$0003W	$0003W
		$0004W	$0000W	$0004W	$0001W	 
		$0002W	$0002W	$0001W	$0004W
		$0005W	$0005W	$0005W	$FFFFW		
#0=longway
#1=verdi
#2=bigsky
#3=radar
#4=direstrt
#5=bonzo



%end

